libcoap 4.3.2rc2

Data Fields
coap_tls_version_t Struct Reference
Application API » DTLS Support

The structure used for returning the underlying (D)TLS library information. More...

`#include <coap_dtls.h>`

## Data Fields
uint64_t | version
| (D)TLS runtime Library Version More...
coap_tls_library_t | type
| Library type. More...
uint64_t | built_version
| (D)TLS Built against Library Version More...

## Detailed Description

The structure used for returning the underlying (D)TLS library information.

Definition at line 104 of file coap_dtls.h.

## Field Documentation

## ◆ built_version

uint64_t coap_tls_version_t::built_version

(D)TLS Built against Library Version

Definition at line 107 of file coap_dtls.h.

## ◆ type

coap_tls_library_t coap_tls_version_t::type

Library type.

One of COAP_TLS_LIBRARY_*

Definition at line 106 of file coap_dtls.h.

## ◆ version

uint64_t coap_tls_version_t::version

(D)TLS runtime Library Version

Definition at line 105 of file coap_dtls.h.

The documentation for this struct was generated from the following file:

- coap_dtls.h